import { InMemoryDbService } from 'angular-in-memory-web-api';

export class TestData implements InMemoryDbService {
  createDb() {
    //JSON data  
    let employeeDetails = [
      { id: '2234', name: 'Ramesh', department: 'Angular Team', profile: 'Developer' },
      { id: '2235', name: 'Shantosh', department: 'React Team', profile: 'Sr. Developer' },
      { id: '2236', name: 'Ashutosh', department: 'Java Team', profile: 'Module Lead' },
      { id: '2237', name: 'Shobhit', department: 'UI Team', profile: 'Team Lead' },
      { id: '2238', name: 'Shubham', department: 'Angular Team', profile: 'Designer' },
    ];
    //JSON data
    let companyDetails =
    {
      companyId: 11, companyName: 'WebRecto',
      enployee: [
        { id: '2236', name: 'Ashutosh', department: 'Java Team', profile: 'Module Lead' },
        { id: '2237', name: 'Shobhit', department: 'UI Team', profile: 'Team Lead' },
      ]
    };
    //Text data
    let welcomeMsg = "Welcome to webrecto.com";

    return { employee: employeeDetails, companyDetails: companyDetails, message: welcomeMsg };
  }
}